Public Member Functions | Public Attributes | List of all members
STOFFField Struct Reference

a field More...

`#include <libstaroffice_internal.hxx>`

## Public Member Functions
| STOFFField ()
| basic constructor
void | addTo (librevenge::RVNGPropertyList &propList) const
| add the link property to proplist (if possible)

## Public Attributes
librevenge::RVNGPropertyList | m_propertyList
| the property list

## Detailed Description

a field

## Constructor & Destructor Documentation

## ◆ STOFFField()

STOFFField::STOFFField | ( |  | ) |
| inline

basic constructor

## Member Function Documentation

## ◆ addTo()

void STOFFField::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add the link property to proplist (if possible)

Referenced by STOFFGraphicListener::insertField(), STOFFSpreadsheetListener::insertField(), and STOFFTextListener::insertField().

## Member Data Documentation

## ◆ m_propertyList

librevenge::RVNGPropertyList STOFFField::m_propertyList

the property list

Referenced by addTo(), StarObjectTextInternal::TextZone::send(), SWFieldManagerInternal::Field::send(), SWFieldManagerInternal::FieldDateTime::send(), SWFieldManagerInternal::FieldDBField::send(), SWFieldManagerInternal::FieldHiddenText::send(), SWFieldManagerInternal::FieldJumpEdit::send(), SWFieldManagerInternal::FieldPageNumber::send(), SWFieldManagerInternal::FieldSetExp::send(), and SWFieldManagerInternal::FieldSetField::send().

The documentation for this struct was generated from the following files:

- libstaroffice_internal.hxx
- libstaroffice_internal.cxx